# raykit/cli.py
import argparse
from raykit import env_builder
from raykit import env_installer

def main():
    parser = argparse.ArgumentParser(prog="raydeploy")
    subparsers = parser.add_subparsers(dest="cmd", required=True)

    # 子命令：build
    subparsers.add_parser("build", help="Build the environment")
    # 子命令：install
    subparsers.add_parser("install", help="Install the environment")

    args = parser.parse_args()
    if args.cmd == "build":
        env_builder.main()
    elif args.cmd == "install":
        env_installer.main()

if __name__ == "__main__":
    main()